using System;
using System.Reflection;
using System.Collections.Generic;

using Microsoft.Xna.Framework;
using Monocle;
using Celeste;
using Celeste.Mod;


namespace Bitsbolts {
  internal static class EntityDataExt {
    internal static bool? Boolish(this EntityData self, string field, bool? defaultValue = null) {
      switch (self.Attr(field)) {
        case "true": return true;
        case "false": return false;
        case "null": return null;
        default: return defaultValue;
      }
    }
  }
}
